#include <algorithm>
#include <iostream>
#include <unordered_set>
#include <vector>

using namespace std;

int main() {
  ios_base::sync_with_stdio(0);

  int N;
  cin >> N;
  vector <int> P(N);
  for (int i=0; i<N; i++) cin >> P[i];

  // Sortujemy poziomy na wejściu.
  sort(P.begin(), P.end());

  // Będziemy utzymywali zbiór poziomów, które chcemy uzyskać
  // w optymalnym rozwiązaniu.
  // Zwróć uwage, że ta struktura nie jest potrzeba w rozwiązaniu,
  // ale przydaje się gdy chcemy np. wypisać potencjalne rozwiązanie.
  unordered_set <int> ostateczne_poziomy;

  // Najmniejszy możliwy poziom to -1.
  int najmniejszy_cel = -1;

  // Iterujemy się po wszystkich poziomach.
  for (auto poziom : P) {
    // Rozważamy każdą możliwą wartość mikstury oraz też możliwość
    // nie użycia żadnej mikstury, czyli wartości (-1, 0, 1).
    for (int wartosc_mikstury = -1; wartosc_mikstury <= 1; wartosc_mikstury++) {
      // Obliczamy poziom z tą miksturą (lub bez żadnej mikstury).
      int osiagalny_poziom = poziom + wartosc_mikstury;
      // Sprawdzamy czy jest ona równa co najmniej najmniejszemu celowi.
      if (osiagalny_poziom >= najmniejszy_cel) {
        // Jeżeli tak to dorzucamy ją do zbioru.
        ostateczne_poziomy.insert(osiagalny_poziom);
        // Aktualizujemy najmniejszy cel na kolejną liczbę całkowitą.
        najmniejszy_cel = osiagalny_poziom + 1;
        // I wychodzimy z pętli, ponieważ już użyliśmy tego poziomu
        // i nie możemy go użyć ponownie.
        break;
      }
    }
  }

  // Na końcu wypisujemy liczbę (róznych!) elementów w zbiorze poziomów.
  cout << ostateczne_poziomy.size() << "\n";
  return 0;
}